summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2021-05-01 11:39:59 +0200
committerMartin Väth <martin@mvath.de>2021-05-01 11:39:59 +0200
commite786124046ab2559009af12ae0329954b2b2aa9b (patch)
treea8b7207d871314df08c017b78cb0321892f6304d
parentapp-shells/schily-tools media-tv/sundtek-tv sys-fs/squashfuse: Version bumps (diff)
downloadmv-e786124046ab2559009af12ae0329954b2b2aa9b.tar.gz
mv-e786124046ab2559009af12ae0329954b2b2aa9b.tar.bz2
mv-e786124046ab2559009af12ae0329954b2b2aa9b.zip
sys-apps/less x11-libs/gtk+: Version bumps
Signed-off-by: Martin Väth <martin@mvath.de>
-rw-r--r--metadata/pkg_desc_index4
-rw-r--r--sys-apps/less/Manifest2
-rw-r--r--sys-apps/less/less-581.2.ebuild (renamed from sys-apps/less/less-581.ebuild)0
-rw-r--r--x11-libs/gtk+/Manifest5
-rw-r--r--x11-libs/gtk+/files/gtk+-2.24.33-respect-NM.patch12
-rw-r--r--x11-libs/gtk+/gtk+-2.24.33.ebuild (renamed from x11-libs/gtk+/gtk+-2.24.32-r1.ebuild)115
-rw-r--r--x11-libs/gtk+/gtk+-3.24.29.ebuild (renamed from x11-libs/gtk+/gtk+-3.24.28.ebuild)0
7 files changed, 78 insertions, 60 deletions
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index ec9fec13..fb3af36e 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -95,7 +95,7 @@ sci-geosciences/googleearth 7.1.8.3036-r3 7.3.0.3832-r3 7.3.2 7.3.3: A 3D interf
sci-mathematics/genius 1.0.21: Genius Mathematics Tool and the GEL Language
sci-mathematics/reduce 20141130-r3 20190413: A general-purpose computer algebra system
sys-apps/cpi 3.2: A wrapper for cp -i -a, making use of diff
-sys-apps/less 581: Excellent text file viewer, optionally with additional selection feature
+sys-apps/less 581.2: Excellent text file viewer, optionally with additional selection feature
sys-apps/man 1.6g-r3: Standard commands to read man pages
sys-apps/openrc-wrapper 2.4: Use openrc init scripts with systemd or other init systems
sys-apps/paxopen 1.2: A wrapper script to set PAX kernel variables to an insecure/safe state
@@ -132,6 +132,6 @@ www-plugins/noscript 11.0.36: Firefox webextension: restrict active contents lik
www-plugins/skip-redirect 2.2.1: Firefox webextension: skip intermediary pages before redirecting
www-plugins/translate-to-me 1.1: Firefox webextension: translate the selected text with www.linguee.com
www-plugins/ublock-origin 1.17.2: Firefox webextension: An efficient list-based blocker
-x11-libs/gtk+ 2.24.32-r1 3.24.28: Gimp ToolKit +
+x11-libs/gtk+ 2.24.33 3.24.29: Gimp ToolKit +
x11-libs/motif 2.3.8-r1: The Motif user interface component toolkit
x11-misc/redshift 1.12-r4: A screen color temperature adjusting software
diff --git a/sys-apps/less/Manifest b/sys-apps/less/Manifest
index a90cd6f5..679691ab 100644
--- a/sys-apps/less/Manifest
+++ b/sys-apps/less/Manifest
@@ -1,2 +1,2 @@
-DIST less-581.tar.gz 349180 SHA512 b2892c73fb6e8a5cb5d5c22280c653194d6a1667a7d65a4b972a76038818cce827f1d00f266d6222e65f93fecfe1760d30109e9d2cf1aa6872b476b49eecefd9
+DIST less-581.2.tar.gz 349230 SHA512 b1189396c798d7cb8655175f31b1af6163dcf8e8d7a72531161cc8396e72e0cf5858ce7b39173be603f9f16eda498f2805cf42c2b92ec6970fd9d2b603fb7b92
DIST less-select-2.11.tar.gz 30631 SHA512 b24ee3dd4af7d58c5ba323064d1637bda66835d6e46febd51835b9d5099b7e65853a121cbedc9c6ac180dd6c10c485636751314b943f20775cd4bea463076424
diff --git a/sys-apps/less/less-581.ebuild b/sys-apps/less/less-581.2.ebuild
index 25e9c5b8..25e9c5b8 100644
--- a/sys-apps/less/less-581.ebuild
+++ b/sys-apps/less/less-581.2.ebuild
diff --git a/x11-libs/gtk+/Manifest b/x11-libs/gtk+/Manifest
index c332e6ce..72395927 100644
--- a/x11-libs/gtk+/Manifest
+++ b/x11-libs/gtk+/Manifest
@@ -1,3 +1,2 @@
-DIST gtk+-2.24.32-patchset-r1.tar.xz 13364 SHA512 1a15dce7578a914585981426d2e5d1cc45866866a70c3f443d1867ab1c0c28fb279bde6c3117b28eec2758a62c1b54bb6fb1b382ad6e9a7cf0114b13f2afd858
-DIST gtk+-2.24.32.tar.xz 12620860 SHA512 8e8fd9ae32f1d6fb544da260f00599f0f05090d910d767b06ef086ab4f1f8373a29bb0da9767761c9b5f4cfd51b5c45d0fa5d39b0428c839ddf0a579df806696
-DIST gtk+-3.24.28.tar.xz 22783312 SHA512 65856ae06e4a863c56b3718c0cc3d0ca9f61a62a02ddef30904432300cd455851efee3fa1e5661659eaacbdfca45650ee7c8a2d4eca004ad2936c1e26c720c15
+DIST gtk+-2.24.33.tar.xz 12661828 SHA512 71b588797c81f727dfac8dcb1be193f7436f717d30ecf18eae2d3aeb0f445b3be4743400acac16435490db8f564f01032065d3f42d27871317f80c98aef929d5
+DIST gtk+-3.24.29.tar.xz 21396876 SHA512 00f71024686c2d11d5c0cdd683365c35fe4d28b5eaad4937e79690777500788818faa5bd0c483e54ba8ce734aa6411388a39e398dc638cfcf0ec0e542aae6c2b
diff --git a/x11-libs/gtk+/files/gtk+-2.24.33-respect-NM.patch b/x11-libs/gtk+/files/gtk+-2.24.33-respect-NM.patch
new file mode 100644
index 00000000..0c74d962
--- /dev/null
+++ b/x11-libs/gtk+/files/gtk+-2.24.33-respect-NM.patch
@@ -0,0 +1,12 @@
+https://bugs.gentoo.org/725852
+--- a/configure.ac
++++ b/configure.ac
+@@ -190,7 +190,7 @@ m4_ifdef([LT_OUTPUT], [LT_OUTPUT])
+ AC_SYS_LARGEFILE
+
+ AM_PROG_AS
+-AC_PATH_TOOL(NM, nm, nm)
++AC_CHECK_TOOL(NM, nm, nm)
+
+ dnl Initialize maintainer mode
+ AM_MAINTAINER_MODE([enable])
diff --git a/x11-libs/gtk+/gtk+-2.24.32-r1.ebuild b/x11-libs/gtk+/gtk+-2.24.33.ebuild
index 1019d12c..a170012c 100644
--- a/x11-libs/gtk+/gtk+-2.24.32-r1.ebuild
+++ b/x11-libs/gtk+/gtk+-2.24.33.ebuild
@@ -1,15 +1,14 @@
-# Copyright 1999-2020 Gentoo Authors and Martin V\"ath
+# Copyright 1999-2021 Gentoo Authors and Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-GNOME2_LA_PUNT="yes"
+EAPI=7
GNOME2_EAUTORECONF="yes"
inherit flag-o-matic gnome2 multilib multilib-minimal readme.gentoo-r1 virtualx
DESCRIPTION="Gimp ToolKit +"
HOMEPAGE="https://www.gtk.org/"
-SRC_URI=${SRC_URI}" https://dev.gentoo.org/~leio/distfiles/${P}-patchset-r1.tar.xz"
+SRC_URI=${SRC_URI}
LICENSE="LGPL-2+"
SLOT="2"
@@ -18,7 +17,7 @@ REQUIRED_USE="
xinerama? ( !aqua )
"
-KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
# Upstream wants us to do their job:
# https://bugzilla.gnome.org/show_bug.cgi?id=768663#c1
@@ -28,6 +27,7 @@ COMMON_DEPEND="
>=dev-libs/atk-2.10.0[introspection?,${MULTILIB_USEDEP}]
>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
>=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
+ virtual/libintl[${MULTILIB_USEDEP}]
>=x11-libs/cairo-1.12.14-r4:=[aqua?,svg,${MULTILIB_USEDEP}]
>=x11-libs/gdk-pixbuf-2.30.7:2[introspection?,${MULTILIB_USEDEP}]
>=x11-libs/pango-1.36.3[introspection?,${MULTILIB_USEDEP}]
@@ -37,37 +37,25 @@ COMMON_DEPEND="
introspection? ( >=dev-libs/gobject-introspection-0.9.3:= )
!aqua? (
>=x11-libs/cairo-1.12.14-r4:=[aqua?,svg,X,${MULTILIB_USEDEP}]
- >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
>=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXi-1.7.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXrandr-1.5[${MULTILIB_USEDEP}]
- >=x11-libs/libXcursor-1.1.14[${MULTILIB_USEDEP}]
- >=x11-libs/libXfixes-5.0.1[${MULTILIB_USEDEP}]
>=x11-libs/libXcomposite-0.4.4-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/libXcursor-1.1.14[${MULTILIB_USEDEP}]
>=x11-libs/libXdamage-1.1.4-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXfixes-5.0.1[${MULTILIB_USEDEP}]
+ >=x11-libs/libXi-1.7.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXrandr-1.5[${MULTILIB_USEDEP}]
+ >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
xinerama? ( >=x11-libs/libXinerama-1.1.3[${MULTILIB_USEDEP}] )
)
"
-# docbook-4.1.2 and xsl required for man pages
-# docbook-4.3 required for gtk-doc
DEPEND="${COMMON_DEPEND}
- doc? (
- app-text/docbook-xsl-stylesheets
- app-text/docbook-xml-dtd:4.1.2
- app-text/docbook-xml-dtd:4.3
- dev-libs/libxslt
- )
- dev-libs/gobject-introspection-common
- dev-util/glib-utils
- >=dev-util/gtk-doc-am-1.20
- >=sys-devel/gettext-0.18.3[${MULTILIB_USEDEP}]
- virtual/pkgconfig
!aqua? ( x11-base/xorg-proto )
test? (
- x11-themes/hicolor-icon-theme
+ media-fonts/font-cursor-misc
media-fonts/font-misc-misc
- media-fonts/font-cursor-misc )
+ x11-themes/hicolor-icon-theme
+ )
"
# gtk+-2.24.8 breaks Alt key handling in <=x11-libs/vte-0.28.2:0
@@ -75,20 +63,36 @@ DEPEND="${COMMON_DEPEND}
# in sync.
RDEPEND="${COMMON_DEPEND}
>=dev-util/gtk-update-icon-cache-2
- !<gnome-base/gail-1000
- !<dev-util/gtk-builder-convert-${PV}
- !<x11-libs/vte-0.28.2-r201:0
adwaita-icon-theme? (
>=x11-themes/adwaita-icon-theme-3.14
x11-themes/gnome-themes-standard
)
+ !<dev-util/gtk-builder-convert-${PV}
"
# librsvg for svg icons (PDEPEND to avoid circular dep), bug #547710
PDEPEND="
- adwaita-icon-theme? ( x11-themes/gtk-engines-adwaita )
- gnome-base/librsvg[${MULTILIB_USEDEP}]
+ adwaita-icon-theme? (
+ gnome-base/librsvg[${MULTILIB_USEDEP}]
+ x11-themes/gtk-engines-adwaita
+ )
vim-syntax? ( app-vim/gtk-syntax )
"
+# docbook-4.1.2 and xsl required for man pages
+# docbook-4.3 required for gtk-doc
+BDEPEND="
+ doc? (
+ app-text/docbook-xml-dtd:4.1.2
+ app-text/docbook-xml-dtd:4.3
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ )
+ dev-libs/gobject-introspection-common
+ dev-util/glib-utils
+ >=dev-util/gtk-doc-am-1.20
+ >=sys-devel/gettext-0.18.3
+ virtual/pkgconfig
+ examples? ( x11-libs/gdk-pixbuf )
+"
DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="To make the gtk2 file chooser use 'current directory' mode by default,
@@ -105,8 +109,8 @@ PATCHES=(
"${FILESDIR}"/${PN}-2.24.24-out-of-source.patch
# Rely on split gtk-update-icon-cache package, bug #528810
"${FILESDIR}"/${PN}-2.24.31-update-icon-cache.patch # requires eautoreconf
- # Upstream gtk-2-24 branch up to 2018-09-08 state, bug #650536 safety
- "${WORKDIR}"/patches/ # requires eautoreconf
+ # Respect ${NM}, bug #725852
+ "${FILESDIR}"/${PN}-2.24.33-respect-NM.patch # requires eautoreconf
)
strip_builddir() {
@@ -162,7 +166,7 @@ src_prepare() {
# UI tests require immodules already installed; bug #413185
if ! has_version 'x11-libs/gtk+:2'; then
ewarn "Disabling UI tests because this is the first install of"
- ewarn "gtk+:2 on this machine. Please re-run the tests after $P"
+ ewarn "gtk+:2 on this machine. Please re-run the tests after ${P}"
ewarn "has been installed."
sed '/g_test_add_func.*ui-tests/ d' \
-i gtk/tests/testing.c || die "sed 2 failed"
@@ -228,10 +232,13 @@ multilib_src_install_all() {
doins "${T}"/gtkrc
einstalldocs
+ rm "${ED}"/usr/share/doc/${P}/ChangeLog # empty file
# dev-util/gtk-builder-convert split off into a separate package, #402905
- rm -f "${ED}"usr/bin/gtk-builder-convert || die
- rm -f "${ED}"usr/share/man/man1/gtk-builder-convert.* || die
+ rm "${ED}"/usr/bin/gtk-builder-convert || die
+ if use doc ; then
+ rm "${ED}"/usr/share/man/man1/gtk-builder-convert.* || die
+ fi
readme.gentoo_create_doc
}
@@ -241,12 +248,12 @@ pkg_preinst() {
multilib_pkg_preinst() {
# Make immodules.cache belongs to gtk+ alone
- local cache="usr/$(get_libdir)/gtk-2.0/2.10.0/immodules.cache"
+ local cache="/usr/$(get_libdir)/gtk-2.0/2.10.0/immodules.cache"
- if [[ -e ${EROOT}${cache} ]]; then
- cp "${EROOT}"${cache} "${ED}"/${cache} || die
+ if [[ -e "${EROOT}${cache}" ]]; then
+ cp "${EROOT}${cache}" "${ED}${cache}" || die
else
- touch "${ED}"/${cache} || die
+ touch "${ED}${cache}" || die
fi
}
multilib_parallel_foreach_abi multilib_pkg_preinst
@@ -263,35 +270,35 @@ pkg_postinst() {
set_gtk2_confdir
- if [ -e "${EROOT%/}/etc/gtk-2.0/gtk.immodules" ]; then
+ if [ -e "${EROOT}/etc/gtk-2.0/gtk.immodules" ]; then
elog "File /etc/gtk-2.0/gtk.immodules has been moved to \$CHOST"
elog "aware location. Removing deprecated file."
- rm -f ${EROOT%/}/etc/gtk-2.0/gtk.immodules
+ rm -f "${EROOT}/etc/gtk-2.0/gtk.immodules"
fi
- if [ -e "${EROOT%/}${GTK2_CONFDIR}/gtk.immodules" ]; then
+ if [ -e "${EROOT}${GTK2_CONFDIR}/gtk.immodules" ]; then
elog "File /etc/gtk-2.0/gtk.immodules has been moved to"
- elog "${EROOT%/}/usr/$(get_libdir)/gtk-2.0/2.10.0/immodules.cache"
+ elog "${EROOT}/usr/$(get_libdir)/gtk-2.0/2.10.0/immodules.cache"
elog "Removing deprecated file."
- rm -f ${EROOT%/}${GTK2_CONFDIR}/gtk.immodules
+ rm -f "${EROOT}${GTK2_CONFDIR}/gtk.immodules"
fi
# pixbufs are now handled by x11-libs/gdk-pixbuf
- if [ -e "${EROOT%/}${GTK2_CONFDIR}/gdk-pixbuf.loaders" ]; then
- elog "File ${EROOT%/}${GTK2_CONFDIR}/gdk-pixbuf.loaders is now handled by x11-libs/gdk-pixbuf"
+ if [ -e "${EROOT}${GTK2_CONFDIR}/gdk-pixbuf.loaders" ]; then
+ elog "File ${EROOT}${GTK2_CONFDIR}/gdk-pixbuf.loaders is now handled by x11-libs/gdk-pixbuf"
elog "Removing deprecated file."
- rm -f ${EROOT%/}${GTK2_CONFDIR}/gdk-pixbuf.loaders
+ rm -f "${EROOT}${GTK2_CONFDIR}/gdk-pixbuf.loaders"
fi
# two checks needed since we dropped multilib conditional
- if [ -e "${EROOT%/}/etc/gtk-2.0/gdk-pixbuf.loaders" ]; then
- elog "File ${EROOT%/}/etc/gtk-2.0/gdk-pixbuf.loaders is now handled by x11-libs/gdk-pixbuf"
+ if [ -e "${EROOT}/etc/gtk-2.0/gdk-pixbuf.loaders" ]; then
+ elog "File ${EROOT}/etc/gtk-2.0/gdk-pixbuf.loaders is now handled by x11-libs/gdk-pixbuf"
elog "Removing deprecated file."
- rm -f ${EROOT%/}/etc/gtk-2.0/gdk-pixbuf.loaders
+ rm -f "${EROOT}/etc/gtk-2.0/gdk-pixbuf.loaders"
fi
- if [ -e "${EROOT%/}"/usr/lib/gtk-2.0/2.[^1]* ]; then
- elog "You need to rebuild ebuilds that installed into" "${EROOT%/}"/usr/lib/gtk-2.0/2.[^1]*
+ if [ -e "${EROOT}"/usr/lib/gtk-2.0/2.[^1]* ]; then
+ elog "You need to rebuild ebuilds that installed into" "${EROOT}"/usr/lib/gtk-2.0/2.[^1]*
elog "to do that you can use qfile from portage-utils:"
elog "emerge -va1 \$(qfile -qC ${EPREFIX}/usr/lib/gtk-2.0/2.[^1]*)"
fi
@@ -310,7 +317,7 @@ pkg_postrm() {
if [[ -z ${REPLACED_BY_VERSION} ]]; then
multilib_pkg_postrm() {
- rm -f "${EROOT}"usr/$(get_libdir)/gtk-2.0/2.10.0/immodules.cache
+ rm -f "${EROOT}/usr/$(get_libdir)/gtk-2.0/2.10.0/immodules.cache"
}
multilib_foreach_abi multilib_pkg_postrm
fi
diff --git a/x11-libs/gtk+/gtk+-3.24.28.ebuild b/x11-libs/gtk+/gtk+-3.24.29.ebuild
index f45a9c88..f45a9c88 100644
--- a/x11-libs/gtk+/gtk+-3.24.28.ebuild
+++ b/x11-libs/gtk+/gtk+-3.24.29.ebuild